TYPES(5)

NAME
types - primitive system data types

SYNOPSIS
#include <sys/types.h>

DESCRIPTION
The data types defined in the include file are used in UNIX system code; some data of these types are accessible to user code:

The form daddr_t is used for disk addresses except in an i-node on disk, see fs(5). Times are encoded in seconds since 00:00:00 GMT, January 1, 1970. The major and minor parts of a device code specify kind and unit number of a device and are installation-dependent. Offsets are measured in bytes from the beginning of a file. The label_t variables are used to save the processor state while another process is running.

SEE ALSO
fs(5), time(3), lseek(2), adb(1)